## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           fedora-chromium-config
Version:        3.0
Release:        %autorelease
Summary:        Fedora customizations for Chromium/Chrome
License:        GPLv2+
# The upstream for this is a dist-git
URL:            https://src.fedoraproject.org/rpms/fedora-chromium-config
Source0:        https://src.fedoraproject.org/rpms/fedora-chromium-config/raw/master/f/LICENSE

# Chrome/Chromium Extensions to improve behavior on Fedora
# GNOME
Source100:      gphhapmejobijbbhgpjhcjognlahblep.json
# KDE Plasma
Source101:      cimiefiiaegbelhefglklhhakcgmhkai.json


# Configuration to support Kerberos GSSAPI logins to the Fedora Account System
Source200:      00_gssapi.json
Source201:      %{name}-tmpfiles.conf

BuildArch:      noarch

# For the _tmpfilesdir macro
BuildRequires:  systemd-rpm-macros

Obsoletes:      fedora-user-agent-chrome < 1.0
Obsoletes:      %{name} < 2.0-4

# Starting with Chromium 83, the Kerberos support works properly
Conflicts:      chromium < 83

Conflicts:     %{name} < %{version}-%{release}
Conflicts:     %{name} > %{version}-%{release}

Recommends:     (%{name}-gnome if gnome-shell)
Recommends:     (%{name}-kde if plasma-desktop)


%description
This package is used to install customizations for Chromium/Chrome that are
recommended by Fedora.

%package gssapi
Obsoletes: %{name} < 2.0-4
Conflicts:     %{name} < %{version}-%{release}
Conflicts:     %{name} > %{version}-%{release}
Summary: GSSAPI support for Fedora Services

%description gssapi
This package provides a GSSAPI configuration that enables access to some Fedora
Project services. To add support for other domains, replace the symlink
/etc/chromium/policies/recommended/00_gssapi.json with your own content.


%package gnome
Conflicts:     %{name} < %{version}-%{release}
Conflicts:     %{name} > %{version}-%{release}
Summary: GNOME integration for Chrome
URL: https://chrome.google.com/webstore/detail/gnome-shell-integration/gphhapmejobijbbhgpjhcjognlahblep


%description gnome
Chrome/Chromium extension to improve integration with the GNOME desktop.


%package kde
Conflicts:     %{name} < %{version}-%{release}
Conflicts:     %{name} > %{version}-%{release}
Summary: KDE Plasma integration for Chrome
URL: https://chrome.google.com/webstore/detail/plasma-integration/cimiefiiaegbelhefglklhhakcgmhkai
Requires: plasma-browser-integration >= 5.13


%description kde
Chrome/Chromium extension to improve integration with the KDE Plasma desktop.


%prep
mkdir -p %{_builddir}/licenses
cp -a %{SOURCE0} %{_builddir}/licenses/


%build


%install
# Install the FAS kerberos configuration for Chrome
# The recommended policy directory does not merge identical keys and we don't want
# to accidentally override any configuration that a site has installed here, so
# we install it as 00_gssapi.json. If another file is present in this directory
# that includes the same keys and a filename that sorts alphabetically higher,
# it will supersede this file. "00" is chosen to sort as low as possible.
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE201} %{buildroot}%{_tmpfilesdir}/%{name}-tmpfiles.conf

mkdir -p %{buildroot}%{_sysconfdir}/opt/chrome/policies/recommended \
         %{buildroot}%{_sysconfdir}/chromium/policies/recommended \
         %{buildroot}%{_datadir}/chromium/policies/recommended

cp -a %{SOURCE200} %{buildroot}%{_datadir}/chromium/policies/recommended

# Add KDE Plasma Extension
# https://chrome.google.com/webstore/detail/plasma-integration/cimiefiiaegbelhefglklhhakcgmhkai
mkdir -p %{buildroot}%{_datadir}/google-chrome/extensions
mkdir -p %{buildroot}%{_datadir}/chromium/extensions

cp -a %{SOURCE100} %{SOURCE101} %{buildroot}%{_datadir}/google-chrome/extensions
cp -a %{SOURCE100} %{SOURCE101} %{buildroot}%{_datadir}/chromium/extensions



%files
%license licenses/LICENSE

%files gssapi
%license licenses/LICENSE

# GSSAPI default configuration for fedoraproject.org
%{_datadir}/chromium/policies/recommended/00_gssapi.json

# Chromium GSSAPI configuration symlinks
# By default, the Chromium configuration is symlinked to the
# default configuration in /usr/share/chromium using tmpfiles.d
%dir %{_sysconfdir}/chromium/
%dir %{_sysconfdir}/chromium/policies
%dir %{_sysconfdir}/chromium/policies/recommended
%ghost %{_sysconfdir}/chromium/policies/recommended/00_gssapi.json

# Google Chrome GSSAPI configuration symlinks
# By default, the Chrome configuration is symlinked to the Chromium
# policy. That way there is a single place to modify both together.
%dir %{_sysconfdir}/opt/chrome/
%dir %{_sysconfdir}/opt/chrome/policies
%dir %{_sysconfdir}/opt/chrome/policies/recommended
%ghost %{_sysconfdir}/opt/chrome/policies/recommended/00_gssapi.json

# systemd-tmpfilesd configuration for symlinks
%{_tmpfilesdir}/%{name}-tmpfiles.conf


%files gnome
%license licenses/LICENSE

%dir %{_datadir}/google-chrome
%dir %{_datadir}/google-chrome/extensions
%dir %{_datadir}/chromium
%dir %{_datadir}/chromium/extensions
%{_datadir}/google-chrome/extensions/gphhapmejobijbbhgpjhcjognlahblep.json
%{_datadir}/chromium/extensions/gphhapmejobijbbhgpjhcjognlahblep.json

%files kde
%license licenses/LICENSE

%dir %{_datadir}/google-chrome
%dir %{_datadir}/google-chrome/extensions
%dir %{_datadir}/chromium
%dir %{_datadir}/chromium/extensions
%{_datadir}/google-chrome/extensions/cimiefiiaegbelhefglklhhakcgmhkai.json
%{_datadir}/chromium/extensions/cimiefiiaegbelhefglklhhakcgmhkai.json


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 19 2023 Stephen Gallagher <sgallagh@redhat.com> - 3.0-1
- Lessen requirement on GSSAPI

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 27 2022 Stephen Gallagher <sgallagh@redhat.com> - 2.0-1
- Bump release to 2.0

* Wed Apr 27 2022 Stephen Gallagher <sgallagh@redhat.com> - 1.2-4
- Add GNOME and KDE Plasma extensions

* Wed Apr 27 2022 Stephen Gallagher <sgallagh@redhat.com> - 1.2-3
- Drop user-agent extension

* Tue Apr 26 2022 Stephen Gallagher <sgallagh@redhat.com> - 1.2-2
- Install changes to the "recommended" policy, rather than "managed"

* Tue Apr 26 2022 Stephen Gallagher <sgallagh@redhat.com> - 1.2-1
- Convert to rpmautospec

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 27 2021 Tomas Popela <tpopela@redhat.com> - 1.1-11
- Fix the AuthServerAllowlist policy name - see rhbz#1965130

* Wed Apr 28 2021 Stephen Gallagher <sgallagh@redhat.com> - 1.1-10
* Adjust GSSAPI authorization settings
  After consultation with GSSAPI experts, we determined that it is
    1) Safe to allow the AuthServerAllowList for all https:// domains
    2) Unwise to allow delegation by default to fedoraproject.org
    Note that no security issue has been encountered to date relating
    to delegation.
  Among other benefits, this will enable GSSAPI login support to
  CentOS projects for users with an active FEDORAPROJECT.ORG TGT.

* Mon Mar 15 2021 Tomas Popela <tpopela@redhat.com> - 1.1-9
- Move away from using deprecated policies - see rhbz#1938931

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Stephen Gallagher <sgallagh@redhat.com> - 1.1-7
- Update description to make it clear that the user-agent is modified.

* Mon Jul 27 2020 Stephen Gallagher <sgallagh@redhat.com> - 1.1-6
- Enable GSSAPI support for Chromium
- Make the default configuration a symlink to /usr/share

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.1-1
- Add Kerberos GSSAPI configuration for the Fedora Account System

* Tue Oct 16 2018 Tomas Popela <tpopela@redhat.com> - 1.0-0
- Initial packaging (by renaming the fedora-user-agent-chrome package)

## END: Generated by rpmautospec
